# -*- encoding: utf-8 -*-
# stub: objc2swift_assistant 0.3.6 ruby lib

Gem::Specification.new do |s|
  s.name = "objc2swift_assistant".freeze
  s.version = "0.3.6"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "allowed_push_host" => "TODO: Set to 'http://mygemserver.com' to prevent pushes to rubygems.org, or delete to allow pushes to any server." } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Chris Kornher".freeze]
  s.date = "2015-07-26"
  s.description = " A command line tool and library to generate Swift skeletons from Objective-C code. This tool can be used to \"jumpstart\" porting from Objective-C to Swift.\n                          This tool does not attempt to transliterate from Objective-C to Swift. Instead, the original code is included in comments within the generated Swift skeletons.\n                          Swift Version 1.2 syntax is generated at this time. The simple Objective-C pattern matcher is used to capture the constructs that will be ported to Swift.\n                          This technique can be confused by complex constructs, but has the advantage that the source code does not have to compile. ".freeze
  s.email = ["ckornher@mac.com".freeze]
  s.executables = ["objc2swift_assistant".freeze]
  s.files = ["bin/objc2swift_assistant".freeze]
  s.homepage = "".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Assists in the conversion of Objective-C code to Swift.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_runtime_dependency(%q<swift_generator>.freeze, ["~> 0.3.0"])
    s.add_runtime_dependency(%q<commander>.freeze, ["~> 4.0"])
    s.add_runtime_dependency(%q<json>.freeze, ["~> 1.8"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<swift_generator>.freeze, ["~> 0.3.0"])
    s.add_dependency(%q<commander>.freeze, ["~> 4.0"])
    s.add_dependency(%q<json>.freeze, ["~> 1.8"])
  end
end
