require_relative "version"

module Objc2swiftAssistantLogging

  LOG_LEVEL_ERRORS      = 4
  LOG_LEVEL_WARNINGS    = 3
  LOG_LEVEL_VERBOSE     = 2
  LOG_LEVEL_DEBUG       = 1
  LOG_LEVEL_NONE        = 0

  LOG_LEVELS_BY_NAME = [
      "error" => LOG_LEVEL_ERRORS,
      "warning" => LOG_LEVEL_WARNINGS ,
      "verbose" => LOG_LEVEL_VERBOSE ,
      "debug" => LOG_LEVEL_DEBUG,
      "none" => LOG_LEVEL_NONE
  ]

end